Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78623 - File system corruption with qla2200 and kernel 2.4.18-10smp
Summary: File system corruption with qla2200 and kernel 2.4.18-10smp
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i686
OS: Linux
high
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-26 16:41 UTC by Need Real Name
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:15 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-11-26 16:41:24 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (WinNT; U)

Description of problem:
Redhat 7.3 (2.4.18-3smp) was used on one of our server. Errors occured
while utilising the ext3 file system. Please find the following error message:
A-Error with kernel: 2.4.18-3smp
hostname kernel: Assertion failure in journal_commit_transaction() at commit.c:535: "buffer_jdirty(bh)"
Redhat recommended that we upgrade to the next level 2.4.18-10smp to solve the problem.
To confirm, the problem was solved. Unfortunately, the following error message occurs:
B-Error with kernel: 2.4.18-10smp
Nov 22 07:04:11 hostname kernel: scsi1 channel 0 : resetting for second half of retries.
Nov 22 07:04:11 hostname kernel: SCSI bus is being reset for host 1channel 0.
Nov 22 07:04:11 hostname kernel: scsi(1:0:0:1): DEVICE RESET ISSUED.
and also
Nov 22 02:32:17 hostname kernel:  I/O error: dev 08:20, sector 1391344
Nov 22 02:32:17 hostname kernel: scsi1 channel 0 : resetting for second half of retries.
Nov 22 02:32:17 hostname kernel: SCSI bus is being reset for host 1 channel 0.
Nov 22 02:32:17 hostname kernel: scsi(1:0:0:1): DEVICE RESET ISSUED.
Nov 22 02:32:19 hostname kernel: SCSI disk error : host 1 channel 0 id 0
lun 1 return code = 27070000

Note: The error has created file system corruption.
Question: Is there a fix for problem for the B error message. Else is there a fix for the
A error message

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:

Comment 1 Bugzilla owner 2004-09-30 15:40:15 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.